Come installare php 5.3.8 e mysql 5.5?

4

Qual è il modo migliore per installare mysql 5.5 con php 5.3.8 (versione più recente)? dato che la maggior parte dei repository comuni ha solo versioni precedenti.

    
posta Googlebot 09.11.2011 - 14:47

1 risposta

2

MySQL 5.5 e PHP 5.3.8 sono disponibili in Precise Pangolin , che sarà rilasciato come 12.04 di aprile (probabilmente con PHP 5.3.9, poiché PHP 5.3.8 ha una regressione in is_a ( )).

Puoi backportare quei pacchetti alla tua versione con l'eccellente backportpackage strumento disponibile in ubuntu-dev-tools. Quindi installalo, crea un PPA per te sul launchpad (è molto più semplice fare build su launchpad che cercare di assemblare i build-deps), poi fai:

backportpackage -s precise -r 'lsb_release -c -s' -u ppa:youruser/ppaname php5

Tieni presente che l'ordine è importante qui, quindi attendi che php5 finisca di costruire prima di caricare mysql-5.5. Altrimenti dovrai installare libmysqlclient18 da mysql-5.5, cosa che potresti non volere!

backportpackage -s precise -r 'lsb_release -c -s' -u ppa:youruser/ppaname mysql-5.5

una volta terminato lo sviluppo, puoi scaricare i file .debs dal PPA o aggiungerli come fonte per tutti i server su cui desideri eseguire l'implementazione:

add-apt-repository ppa:youruser/ppaname

Buona fortuna!

    
risposta data SpamapS 30.11.2011 - 01:20

Leggi altre domande sui tag